Hot Door CORE Forum
Hot Door CORE 0.7.1 is now available - Printable Version

+- Hot Door CORE Forum (http://hotdoorcore.com/forum)
+-- Forum: All forums (/forumdisplay.php?fid=1)
+--- Forum: Announcements (/forumdisplay.php?fid=8)
+--- Thread: Hot Door CORE 0.7.1 is now available (/showthread.php?tid=152)



Hot Door CORE 0.7.1 is now available - garrett - 10-30-2017 03:51 PM

This update brings the following changes:
  • Illustrator 22 (CC 2018) support
  • Many improvements for HiDPI (i.e. "retina") displays on both platforms (this has caused a small number of function signature changes, mainly revolving around image-based widgets)
  • New InternetPing class
  • Improved error condition information for InternetGET and InternetPOST classes
  • Improved methods and class for handling custom art (i.e. "plugin art")
  • Improved slider appearance
  • Added additional accessors to WidgetGroup class
  • Added new cryptographic hash functions
  • Added method to Art class to transform strokes
  • Added flag accessor to ArtColor class
  • Fixes for creating new documents in Illustrator 21
  • Fixes for text fields in panels
  • Fixes for combo boxes in linked panels
  • Fixes for linked panels showing on wrong display on Mac
  • Fixes for stepper callbacks on Mac
  • Fixes for spacebar interacting with checkboxes and popup menus on Mac
  • Fixes for image widgets not redrawing on Mac (when changing resource IDs)
  • Fixes for text fields in modal dialogs on Windows
  • Fixes for enter/escape key use in modal dialogs on Windows
  • Fixes for widget tooltips on Windows
  • Fixes for radio button images on Windows
  • Fixes for list-based widgets on Windows not respecting threading limitations
  • Visual Studio 2015 is now required on Windows (see additional notes below)


Projects on Windows should require only very minor changes to work with the new VS 2015 requirements.

However, the following must be added to your Windows project configs:
  • The toolset must be "Visual Studio 2015 - Windows XP" (v140_xp)
  • The target platform version must be 8.1
  • The following Windows libs must be linked against: uafxcw.lib, comctl32.lib, Comdlg32.lib, Winspool.lib, windowscodecs.lib, Gdiplus.lib, Wbemuuid.lib, Iphlpapi.lib, msimg32.lib, Wininet.lib, UxTheme.lib, Crypt32.lib


You can see examples of these configurations in any of the sample projects provided with hdi_core.